# Fifteenth International Obfuscated C Code Contest


## Standard IOCCC stuff

View the `index.html` web page for the given winning entry for information on how
on how to compile it and how to run the winning program.
Look at the winning source and try to figure how it does what it does!
You may then wish to look at the Author's remarks for even more details.

Use `make` to compile entries.  It is possible that on non-Unix / non-Linux
systems the Makefile needs to be changed.  See the Makefile for details.

Read over the Makefile for compile/build issues.  Your system may
require certain changes (add or remove a library, add or remove a
`#define`).

Some ANSI C compilers are not quite as good as they should be.  If
yours is lacking, you may need to compile using gcc instead of your
local compiler.


## New Judge

The judges were unable to contact Jeremy Horn for judging the 2000 contest.

As a result, [Simon Cooper](http://www.sfik.com/) joined our team.  Simon is
well known for being a co-author of the 2nd edition of the Building Internet
Firewalls book.


## Remarks on some of the entries

There were some outstanding entries that did not win.  Unfortunately
some very good entries lost because they:

- depended too much on non-portable side effects in expressions;
- depended too much on a particular byte order;
- required the use of a special script, data file or pseudo-machine language
that was not supplied with the entry.

We hope the authors of some of those entries will fix and re-submit
them for the next IOCCC.

We believe you will be impressed with this year's winning entries.  The [Best of
Show](jarijyrki/index.html) is a fine example of compact obfuscation. But don't
ignore the shorter entries.  The [Best Small Program](natori/index.html), [Best
Abuse of User](briddlebane/README.m) and [Most Complete Program](tomx/index.html)
are well worth studying in detail.

The [Worst Abuse of the Rules](dlowe/index.html) is technically allowed by the
rules.  We gave it an award this year, but don't assume you can get away with
using it next time ... :-)

Speaking of time, be sure to check out the [Astronomically
Obfuscated](rince/index.html) and the [Most Timely
Output](schneiderwent/index.html) entries.


## There was no 1999 contest

So what happened to 1999?  Landon Curt Noll was scheduled to take a
vacation from the IOCCC this year.  The remaining judges were
unable to contact Jeremy Horn, so the IOCCC stalled.

But thanks to Landon's returning early from his IOCCC vacation (Landon
will take a full IOCCC vacation during some other year), Simon Cooper
joining the IOCCC judging team as well as the hard work of Peter Seebach
and Leonid A. Broukhis the judging was completed in Dec 2000.

It was decided that the 15th contest would be the year 2000 contest
(the year the judging completed) rather than year 1999 (the initial
scheduled start of the contest).  That is why there is no 1999 contest.

**NOTE**: The above has been mentioned in an Amici Curiae for the
DeCSS case.  See [BRIEF OF AMICI CURIAE N SUPPORT OF APPELLANTS AND
REVERSAL ..](https://web.archive.org/web/20231021211330/http://cryptome.org/mpaa-v-2600-bac.htm).


## Final Comments

Please send us comments and suggestions what we have expressed above.
Also include anything else that you would like to see in future contests.
Send such email to:

```
questions@ioccc.org
```

**IMPORTANT NOTE**: The email addresses found above are for historical
purposes only, and should not be used today.  See
[contact.html](../contact.html) for up to date contact details
as well as details on how to provide fixes to any of the entries.
See also [the IOCCC FAQ](../faq.html) for addition information on the IOCCC.


<!--

    Copyright © 1984-2024 by Landon Curt Noll. All Rights Reserved.

    You are free to share and adapt this file under the terms of this license:

	Creative Commons Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)

    For more information, see:

	https://creativecommons.org/licenses/by-sa/4.0/

-->
